# Description

変更の概要と関連する問題を含めてください。 関連する動機と文脈も含めてください。 この変更に必要な依存関係をリストします。

Fixes # (Trello's Card or Issue no.)

## Type of change

関連性のないオプションを削除してください。

- [ ] バグ修正（問題を修正する非破壊的な変更）
- [ ] 新機能（機能を追加する非破壊的な変更）
- [ ] 重大な変更（既存の機能が期待どおりに機能しない原因となる修正または機能）
- [ ] この変更には、ドキュメントの更新が必要です

# How Has This Been Tested?

変更を確認するために実行したテストについて説明してください。再現できるように指示を提供します。テスト構成に関連する詳細もリストしてください。

- [ ] `yarn test`
- [ ] `stylebookで確認`

# Checklist:

- [ ] 私のコードはこのプロジェクトのスタイルガイドラインに従っています
- [ ] コードのセルフレビューを実行しました
- [ ] 特に理解しにくい領域で、自分のコードにコメントしました
- [ ] ドキュメントに対応する変更を加えました
- [ ] 私の変更は新しい警告を生成しません
- [ ] 修正が効果的であること、または機能が機能することを証明するテストを追加しました
- [ ] 新規および既存の単体テスト、機能テストは、ローカルで通ることを確認しました
- [ ] 依存する変更はすべてマージされ、ダウンストリームモジュールで公開されています