export const sysHistoryItem = {
  id: 123,
  model_name: 'issues',
  model_id: 1,
  user_id: null,
  update_contents: {
    message: 'アップデートメッセージ',
  },
  created_at: '2022/05/30 10:40:18',
  updated_at: '2022-05-30 10:40:18',
  update_contents_front: {
    message: 'アップデートメッセージ',
  },
  user: null,
}

export const userHistoryItem = {
  id: 123,
  model_name: 'issues',
  model_id: 1,
  user_id: 1,
  update_contents: [
    { property: 'status', old_value: 1, value: 2 },
    { property: 'status', old_value: 1, value: 2 },
  ],
  created_at: '2022/05/30 10:40:18',
  updated_at: '2022-05-30 10:40:18',
  update_contents_front: [
    { property: '対応状態', old_value: '未対応', new_value: '対応中' },
    { property: '対応状態', old_value: '未対応', new_value: '対応中' },
  ],
  user: {
    id: 1,
    name: 'テスト太郎',
    profile_image: 'test==',
  },
}

const adminUser = {
  id: 2,
  name: 'プロジェクト 管理者',
  firstname: '管理者',
  lastname: 'プロジェクト',
  email: 'admin@example.com',
  email_verified_at: '2022-06-08 18:43:15',
  role: 2,
  lang: 'ja',
  created_at: '2022-06-08 18:43:15',
  updated_at: '2022-06-08 18:43:15',
  deleted_at: null,
  notification_confirmed_at: null,
  last_login_at: null,
  profile_image: 'image1',
}

const testProject = {
  id: 1,
  name: 'テストプロジェクト',
  platform: 'gcp',
  created_at: '2022-06-08 18:43:15',
  updated_at: '2022-06-08 18:43:15',
  deleted_at: null,
  last_scanned_at: null,
  platform_display: 'GCP',
}

const testServer = {
  id: 1,
  project_id: 1,
  name: 'Linuxテストサーバー',
  os_family: 'redhat',
  os_release: '8.4',
  auto_update_enabled: true,
  last_modified_date: '2022-06-08',
  created_at: '2022-06-08 18:43:15',
  updated_at: '2022-06-08 18:43:15',
  deleted_at: null,
  last_scanned_at: null,
  is_linux: true,
  is_windows: false,
  os_name_display: 'Red Hat Enterprise Linux',
  os_version_display: '8.4',
  os_vendor: '',
  os_name: 'redhat',
  os_version: '8.4',
}

export const projectAssignNotification = {
  id: '503ce7b5-e7b6-4c76-b93b-436e7491a0fc',
  type: 'App\\Notifications\\ProjectAssigned',
  notifiable_type: 'App\\User',
  notifiable_id: 1,
  data: [],
  read_at: null,
  created_at: '2022-06-08 18:43:15',
  updated_at: '2022-06-08 18:43:15',
  resource_type: 'App\\Models\\Project',
  resource_id: 1,
  user_id: 2,
  is_newly: true,
  user: adminUser,
  resource: testProject,
}

export const issueAssignedNotification = {
  id: 'd4cb44f7-e2fb-4f47-b403-1fb05ae25039',
  type: 'App\\Notifications\\IssueAssigned',
  notifiable_type: 'App\\User',
  notifiable_id: 1,
  data: [],
  read_at: null,
  created_at: '2022-06-08 18:43:15',
  updated_at: '2022-06-08 18:43:15',
  resource_type: 'App\\Models\\Issue',
  resource_id: 35,
  user_id: 2,
  is_newly: true,
  user: adminUser,
  resource: {
    id: 35,
    project_id: 1,
    server_id: 1,
    software_id: '1',
    package_id: null,
    vuln_id: 'CVE-2020-9349',
    vendor_name: 'optio',
    product_name: 'quos',
    version: '5.1',
    status: 1,
    assignee_id: null,
    detected_at: '2022-06-08 18:43:15',
    created_at: '2022-06-08 18:43:15',
    updated_at: '2022-06-08 18:43:15',
    deleted_at: null,
    type: 1,
    ss_case_id: null,
    vulnerable_type: 'App\\Models\\Vuln',
    vulnerable_id: 'CVE-2020-9349',
    project_name: 'テストプロジェクト',
    server_name: 'Linuxテストサーバー',
    status_name: '未対応',
    product_version: 'quos: 5.1',
    unread: false,
    type_display: '公開',
    needs_re_diagnosis: false,
    project: testProject,
    server: testServer,
  },
}

export const issueStatusUpdateNotification = {
  id: 'a08b4f12-2a7f-4cfc-9f40-4a8b8e77bc93',
  type: 'App\\Notifications\\IssueStatusUpdated',
  notifiable_type: 'App\\User',
  notifiable_id: 1,
  data: {
    new_status: 9,
  },
  read_at: null,
  created_at: '2022-06-08 18:43:15',
  updated_at: '2022-06-08 18:43:15',
  resource_type: 'App\\Models\\Issue',
  resource_id: 50,
  user_id: 2,
  is_newly: true,
  user: adminUser,
  resource: {
    id: 50,
    project_id: 1,
    server_id: 1,
    software_id: '1',
    package_id: null,
    vuln_id: 'CVE-2020-5329',
    vendor_name: 'et',
    product_name: 'voluptatem',
    version: '4.8',
    status: 1,
    assignee_id: null,
    detected_at: '2022-06-08 18:43:15',
    created_at: '2022-06-08 18:43:15',
    updated_at: '2022-06-08 18:43:15',
    deleted_at: null,
    type: 1,
    ss_case_id: null,
    vulnerable_type: 'App\\Models\\Vuln',
    vulnerable_id: 'CVE-2020-5329',
    project_name: 'テストプロジェクト',
    server_name: 'Linuxテストサー���ー',
    status_name: '未対応',
    product_version: 'voluptatem: 4.8',
    unread: false,
    type_display: '公開',
    needs_re_diagnosis: false,
    project: testProject,
    server: testServer,
  },
}
